# -*- coding: utf-8 -*-

# Create Table SQL
CREATE_TABLE_STMT = """
    CREATE TABLE IF NOT EXISTS photoinfo (
    id integer primary key,
    lensman varchar(20),
    session varchar(20),
    photo_id varchar(13),
    photo_name varchar(255),
    thumb_path varchar(255),
    origin_path varchar(255)
);"""
# Create Index SQL
CREATE_INDEX1 = 'CREATE INDEX IF NOT EXISTS idx_lensman ON photoinfo (lensman);'
CREATE_INDEX2 = 'CREATE INDEX IF NOT EXISTS idx_session ON photoinfo (session);'
# Insert Record SQL
INSERT_RECORD_STMT = 'INSERT INTO photoinfo VALUES (NULL, ?, ?, ?, ?, ?, ?);'
# Delete Record SQL
DELETE_RECORD_STMT = 'DELETE FROM photoinfo WHERE lensman = ? and session = ? and name = ?;'
# Query Max(photo_id) SQL
SELECT_MAX_PHOTO_ID_STMT = 'SELECT MAX(photo_id) FROM photoinfo WHERE lensman = ? and session = ?;'
# Query Origin Path SQL
SELECT_ORIGIN_PATH_STMT = 'SELECT origin_path FROM photoinfo WHERE lensman = ? and photo_id = ?;'
